Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.storage.locations.list()
page = page.results[0]
print(page.address)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/storage"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Storage.Locations.List(context.TODO(), storage.LocationListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/storage/v4/locations \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/storage/v4/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 5,
"results": [
{
"address": "luxembourg-2.cloud.storage.com",
"name": "luxembourg-2",
"technical_name": "s-region-1",
"title": "Luxembourg",
"type": "s3_compatible"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Storage Locations
List locations
Returns storage locations where you can create new storages. Only locations currently accepting new storage creation are returned.
Use the type query parameter to restrict the result to a location type (object storage performance tier or sftp).
GET
/
storage
/
v4
/
locations
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.storage.locations.list()
page = page.results[0]
print(page.address)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/storage"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Storage.Locations.List(context.TODO(), storage.LocationListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Number of records to skip before beginning to return results
Required range:
x >= 0Max number of records in response
Required range:
1 <= x <= 1000Filter by location type: object storage performance tier (standard, fast) or sftp
Available options:
standard, fast, sftp Was this page helpful?